Ask Ubuntu is a question and answer site for Ubuntu users and developers. Join them; it only takes a minute:

Sign up
Here's how it works:
  1. Anybody can ask a question
  2. Anybody can answer
  3. The best answers are voted up and rise to the top

If I run anything apt-get related, I get this error:

W: GPG error: http://ppa.launchpad.net precise Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY D6B6DB186A68F637

Please how can I fix this?

share|improve this question

marked as duplicate by Jorge Castro, Florian Diesch, Basharat Sialvi, Warren Hill, Eric Carvalho Nov 5 '13 at 13:21

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

    
@JorgeCastro post edited after applying the suggested answer. Now it's left with the GPG error – Mysterio Nov 4 '13 at 22:43
    
Looks more like this: askubuntu.com/questions/13065/… – Jorge Castro Nov 5 '13 at 0:47

Try re-adding the PPA to your system, and checking for updates: sudo add-apt-repository ppa:libreoffice/libreoffice-4-0 && sudo apt-get update. This should hopefully cause your system to re-download the pgp key, thus hopefully fixing the issue.

share|improve this answer
    
Question edited pls can you edit your answer accordingly? – Mysterio Nov 4 '13 at 19:56
    
It seems you need to download a pubkey, but I'm not sure which key you might need. Try running sudo apt-get update, and post the full output. Perhaps something there will be more detailed errors that might help give us a clue as to what might be going on. – TSJNachos117 Nov 5 '13 at 7:43

Not the answer you're looking for? Browse other questions tagged or ask your own question.